<?php

namespace App\Entities\ArquivoExame;

use App\Utils\Builder;

class ArquivoExameBuilder implements Builder {
	protected $id;
	protected $descricao;
	protected $arquivo;
	protected $id_clinica;
	protected $id_medico;
	protected $id_paciente;
	protected $id_pet;
	protected $tutor_view;
	protected $criado_em;
	protected $alterado_em;
	protected $criado_por;
	protected $alterado_por;

	public function build(): ArquivoExame {

		$arquivoExame = new ArquivoExame();
		if (isset( $this->id )) {
			$arquivoExame->setId( $this->id );
		}
		if (isset( $this->descricao )) {
			$arquivoExame->setDescricao( $this->descricao );
		}
		if (isset( $this->id_clinica )) {
			$arquivoExame->setIdClinica( $this->id_clinica );
		}
		if (isset( $this->id_medico )) {
			$arquivoExame->setIdMedico( $this->id_medico );
		}
		if (isset( $this->id_paciente )) {
			$arquivoExame->setIdPaciente( $this->id_paciente );
		}
		if (isset( $this->id_pet )) {
			$arquivoExame->setIdPet( $this->id_pet );
		}
		if (isset( $this->criado_em )) {
			$arquivoExame->setCriadoEm( $this->criado_em );
		}
		if (isset( $this->alterado_em )) {
			$arquivoExame->setAlteradoEm( $this->alterado_em );
		}
		if (isset( $this->criado_por )) {
			$arquivoExame->setCriadoPor( $this->criado_por );
		}
		if (isset( $this->alterado_por )) {
			$arquivoExame->setAlteradoPor( $this->alterado_por );
		}
		if (isset( $this->arquivo )) {
			$arquivoExame->setArquivo( $this->arquivo );
		}
		if (isset( $this->tutor_view )) {
			$arquivoExame->setTutorView( $this->tutor_view );
		}
		return $arquivoExame;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $descricao
	 */
	public function setDescricao($descricao) {

		$this->descricao = $descricao;
		return $this;

	}

	/**
	 *
	 * @param mixed $arquivo
	 */
	public function setArquivo($arquivo) {

		$this->arquivo = $arquivo;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_clinica
	 */
	public function setIdClinica($id_clinica) {

		$this->id_clinica = $id_clinica;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_medico
	 */
	public function setIdMedico($id_medico) {

		$this->id_medico = $id_medico;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_paciente
	 */
	public function setIdPaciente($id_paciente) {

		$this->id_paciente = $id_paciente;
		return $this;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet) {

		$this->id_pet = $id_pet;
		return $this;

	}

	/**
	 *
	 * @param mixed $tutor_view
	 */
	public function setTutorView($tutor_view) {

		$this->tutor_view = $tutor_view;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_em
	 */
	public function setCriadoEm($criado_em) {

		$this->criado_em = $criado_em;
		return $this;

	}

	/**
	 *
	 * @param mixed $alterado_em
	 */
	public function setAlteradoEm($alterado_em) {

		$this->alterado_em = $alterado_em;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $alterado_por
	 */
	public function setAlteradoPor($alterado_por) {

		$this->alterado_por = $alterado_por;
		return $this;

	}

}

